<?php


namespace Application\Service\DB\Pay;

use Interop\Container\ContainerInterface;

class Recharge extends \Application\Service\DB\AbstractDb
{
    public function __construct($dbAdapter, ContainerInterface $container)
    {
        $this->tableName = 'yikeen_item_recharge';
        parent::__construct($dbAdapter, $container);
    }


    /**
     * Notes : 验证小鼠位数
     * @param $string
     * @param $decimalPlaces
     * @return bool
     * Author:唐伯虎不虎
     * Date:2023/12/12 10:57
     */
    function validateDecimalPlaces($string, $decimalPlaces) {
        $decimalPart = explode(".", $string)[1]; // 获取小数部分
        return strlen($decimalPart) <= $decimalPlaces;
    }




}